Re: arduino si5351.h


AG1P Ron
 

I was able to get it to compile using Arduino version 1.8.7 and the Si5351 version Etherkit_Si5351-2.0.1.zip from https://www.arduinolibraries.info/libraries/etherkit-si5351

 

72 - Ron - AG1P

 

From: HilltopperKit@4SQRP.groups.io [mailto:HilltopperKit@4SQRP.groups.io] On Behalf Of Charlie Crapotta, NA2CC
Sent: Sunday, December 23, 2018 10:46 AM
To: HilltopperKit@4SQRP.groups.io
Subject: [HilltopperKit] arduino si5351.h

 

Well, first progamming problem......the si5351.h I just downloaded is not compatible fully with the newest Arduino IDE (https://github.com/etherkit/Si5351Arduino#changes-from-v1-to-v2)


Arduino: 1.8.8 (Windows Store 1.8.19.0) (Windows 10), Board: "Arduino/Genuino Uno"

 

"error: no matching function for call to 'Si5351::set_correction(long int&)'

 

 no matching function for call to 'Si5351::set_correction(long int&)'

 

Join HilltopperKit@4SQRP.groups.io to automatically receive all group messages.